# PIDFPropertiesJson
declaration: package: swervelib.parser.json, class: PIDFPropertiesJson

Package swervelib.parser.json

# Class PIDFPropertiesJson

java.lang.Object
swervelib.parser.json.PIDFPropertiesJson

public class PIDFPropertiesJson extends Object
`SwerveModule` PID with Feedforward for the drive motor and angle motor.

## Field Summary

Fields
Modifier and Type
Field
Description
`PIDFConfig`
`angle`
The PIDF with Integral Zone used for the angle motor.
`PIDFConfig`
`drive`
The PIDF with Integral Zone used for the drive motor.

## Constructor Summary

Constructors
Constructor
Description
`PIDFPropertiesJson()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### drive

public PIDFConfig drive
The PIDF with Integral Zone used for the drive motor.

### angle

public PIDFConfig angle
The PIDF with Integral Zone used for the angle motor.

## Constructor Details

### PIDFPropertiesJson

public PIDFPropertiesJson()